package be.iminds.ilabt.jfed.highlevel;

import be.iminds.ilabt.jfed.experiment.SfaExperimentPart;
import be.iminds.ilabt.jfed.highlevel.jobs.parts.ExperimentPartControllerManager;
import be.iminds.ilabt.jfed.highlevel.jobs.sfa_parts.SfaExperimentPartController;
import com.google.inject.AbstractModule;
import com.google.inject.Provides;

import javax.inject.Provider;
import javax.inject.Singleton;

/**
 * SfaOnlyExperimentModule
 */
public class SfaOnlyExperimentModule extends AbstractModule {
    @Provides
    @Singleton
    public ExperimentPartControllerManager getEpcManager(Provider<SfaExperimentPartController> sfaExperimentPartControllerProvider){
        ExperimentPartControllerManager epcManager = new ExperimentPartControllerManager(true);
        epcManager.registerController(SfaExperimentPart.class, sfaExperimentPartControllerProvider.get());

        return epcManager;
    }

    @Override
    protected void configure() {

    }
}
